//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("THTTPdownloader.cpp", HTTPdownloader);
USEFORM("Tmain.cpp", main);
USEFORM("TInfoBox.cpp", InfoBox);
USEFORM("visorAtaque.cpp", visorAtaques);
USEFORM("TAlertBox.cpp", AlertBox);
USEFORM("TComprobadorActividad.cpp", comprobadorActividad);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->CreateForm(__classid(Tmain), &main);
                 Application->CreateForm(__classid(THTTPdownloader), &HTTPdownloader);
                 Application->CreateForm(__classid(TInfoBox), &InfoBox);
                 Application->CreateForm(__classid(TvisorAtaques), &visorAtaques);
                 Application->CreateForm(__classid(TAlertBox), &AlertBox);
                 Application->CreateForm(__classid(TcomprobadorActividad), &comprobadorActividad);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        catch (...)
        {
                 try
                 {
                         throw Exception("");
                 }
                 catch (Exception &exception)
                 {
                         Application->ShowException(&exception);
                 }
        }
        return 0;
}
//---------------------------------------------------------------------------
